/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections;

namespace MiBib
{
	public class IniMini
	{
		public ArrayList val;
		string file;
		
		public IniMini(string file)
		{
			this.file = file;
		}
		
		public string Load()
		{
			string error = "";
			ArrayList al = InOut.File2ArrayList(file, true);
			val = new ArrayList();
			foreach (string str in al)
			{
				if (str != "" && str.Length > 0 && str.Substring(0, 1) != "#")
				{
					val.Add(str.Trim());
				}
			}
			return error;
		}
		
		public void Save(ArrayList al)
		{
			InOut.ArrayList2File(al, file);
		}
	}
}
