/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using Gdk;
using MiBib;
using System;
using System.IO;

class MainClass
{
	// [STAThread]
    public static void Main(string[] args)
    {
		Console.WriteLine("\n" + Var.programNameBoth + "\n\n" + Var.programAboutWithContact);
		Console.WriteLine();
		string error = Ini.Init(SysInfo.IniFile(SysInfo.IniFilePart));
		if (error != "") Console.WriteLine(error);
    	
		int test = 0;
		if (test == 1) Test();
		else
		{
				//Database.Test();
	    		//MySqlMV.CreateDb();
	    		//if (Ini.GetBool("DirectoryChangesCheckOnStart")) Database.DirectoryChangesCheckOnStart();
	    		//else
	    	if (Ini.GetBool("StartWithGui")) Gui.Start(Ini.GetBool("StartWithRandomCovers"));
			else Input.Start("");
			
		}
    }
    
    static bool Test()
    {
    	//Player.TestTotem();
    	//Player.TestXmms();
		//Player.TestQuark();
		
		Benchmark bm = new Benchmark();
		Wav2Mp3.Test();
		bm.Stop();
		Console.WriteLine(bm.Details(false));
		Console.WriteLine("Press enter to continue/exit");
    	Console.ReadLine();
    	return false;
    	//return true;
    }
}
