/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using MiBib;
using System;
using System.Collections;

internal class Dirs
{
	internal ArrayList al = new ArrayList();
	
	internal Dirs(string where)
	{
		MySql3 m = new MySql3(Mvar.db, Mvar.pw, Mvar.server, Mvar.user,
	                    "SELECT * FROM dir" + where);
		if (!m.open) return;
		while (m.r.Read())
		{
			Dir dir = new Dir();
			dir.albums = (int)m.r["albums"];
			
			// Windows ???
			//string test = m.r["changed"].ToString();
			//Console.WriteLine(test);
			//dir.changed = Kalender.MySqlDateTimeString2DateTime(m.r["changed"].ToString());
			dir.changed = (DateTime)m.r["changed"];
			
			dir.name = (string)m.r["name"];
			dir.path = (string)m.r["path"];
			dir.rnd = m.r["rnd"].ToString() == "1";
			dir.sings = (int)m.r["sings"];
			al.Add(dir);
		}
		m.Close();
	}
}
