/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections;

class History
{
	static ArrayList al = new ArrayList();
	//static int max = 23;
	static int pointer = 0;
	
	internal static HistoryItem Backwards()
	{
		if (--pointer < 0) pointer = 0;
		// Console.WriteLine("backwards pointer=" + pointer);
		try { return (HistoryItem)al[pointer]; } catch { return null; }
	}
	
	internal static HistoryItem Current()
	{
		int current = pointer - 1;
		if (current < 0) current = 0;
		// Console.WriteLine("current pointer=" + current);
		try { return (HistoryItem)al[current]; } catch { return null; }
	}
	
	internal static HistoryItem Forwards()
	{
		if (++pointer >= al.Count) pointer = al.Count - 1;
		// Console.WriteLine("forwards pointer=" + pointer);
		try { return (HistoryItem)al[pointer]; } catch { return null; }
	}
	
	internal static void Insert(HistoryItem hi)
	{
		al.Insert(pointer, hi);
		pointer++;
		// Console.WriteLine("pointer=" + pointer);
	}
	
	
}
