/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;

class Peculiar
{
    internal static string Substitute(string str)
    {
    	// check Harenberg
    	str = str.Replace("_", " ");
    	
    	// watch out, might be included in a seach option as well
		// no HTML !!! self-made
    	str = str.Replace("&colon;", ":");
		str = str.Replace("&quest;", "?"); // no HTML !!! self-made
		// peculiar
		str = str.Replace("&prime;", "'");
		// str = str.Replace("&frasl;", "/"); // nicht mglich, da Player den slash fr Windows wieder umwandeln muss
		// ?
		// str = str.Replace("&lt;", "<");
		// str = str.Replace("&gt;", ">");
		// rather not, better as search options
		// str = str.Replace("&lowast;", "*");
		// str = str.Replace("&quot;", "\"");
		// international
		foreach (string[] astr in Peculiars.iso) str = str.Replace(astr[1], astr[0]);
		
		
		
		//if (str.IndexOf('&') != -1) Console.WriteLine("Peculiar &: " + str);
		//
		// (<unknown>:7936): Gtk-WARNING **: 
		// Failed to set label from markup due to error parsing markup: 
		// Fehler in Zeile 2: Zeichen » « ist am Anfang eines Entitätsnamens ungültig; 
		// eine Entität beginnt mit dem Zeichen &; 
		// wenn das Et keine Entität sein soll, es als &amp; umschreiben
		str = str.Replace("&amp;", "&");
		// sonst 
		// str = str.Replace("&", "+");
		
		
		return str;
    }
}
