/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections;

class Play
{
	internal static void Cmd(string cmd)
    {
		if (cmd == "" || cmd == di.play[0] || Input.Help(cmd)) Menu();//{ bShow = true; }
		else { new Player(cmd); Input.lastCmd = cmd; }
	}
	
	static void Menu()
	{
		Output.Offer(di.enq);
		Output.Offer(di.playnext);
		Output.Offer(di.playpause);
		Output.Offer(di.playprev);
		Output.Offer(di.rnd);
		Output.Offer(di.seekbwd);
		Output.Offer(di.seekfwd);
		Output.Offer(di.voldown);
		Output.Offer(di.volup);
	}
	
	internal static void Id(bool album, bool enq, int id)
	{
		if (album) OneAlbum(enq, id);
		else OneSing(enq, id);
	}
	
	internal static void OneSing(bool enq, int id)
	{
		Sing o = new Sing(id);
		Player.PlayFile(enq, o.path);
	}
	
	internal static void OneAlbum(bool enq, int id)
	{
		ArrayList al = Album.Sings(id);
		foreach (int i in al)
    	{
			OneSing(enq, i);
    		enq = true;
    	}
	}
	
	
}

