/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using MiBib;
using System;
using System.Collections;

class Search
{
    internal static ArrayList Get(int limit, string search, string table, string type)
    {
    	string where = " WHERE ";
    	if (table == "sing" && type != Ext.Typen.All.ToString())
    	{
    		where += "type=\"" + type + "\" AND ";
    	}
    	
    	where += SearchStringToQuery("name", search);
    	/*string[] astr = search.Split(' ');
    	where += "name LIKE \"%" + astr[0] + "%\"";
    	for (int i = 1; i < astr.Length; i++)
    	{
    		where += " AND name LIKE \"%" + astr[i] + "%\"";
    	}*/
		ArrayList al = new ArrayList();
		Console.WriteLine(where);
		//MySql m = new MySql(0, "SELECT id FROM " + table
		MySql3 m = new MySql3(Mvar.db, Mvar.pw, Mvar.server, Mvar.user,
		                    "SELECT path FROM " + table
		                    + where
		                    + " ORDER BY name"
		                    + (limit == 0 ? "" : " LIMIT " + limit)
		                   );
		if (!m.open) return al;
		//while (m.r.Read()) al.Add((int)m.r["id"]);
		while (m.r.Read()) al.Add((string)m.r["path"]);
		m.Close();
		return al;
    }
    
    internal static string SearchStringToQuery(string col, string search)
    {
    	string[] astr = search.Split(' ');
    	string r = "(1";//col + " LIKE \"%" + astr[0] + "%\"";
    	//for (int i = 0; i < astr.Length; i++)
    	foreach (string str in astr)
    	{
    		//r += " AND " + col + " LIKE \"%" + astr[i] + "%\"";
    		r += " AND " + col + " LIKE \"%" + str + "%\"";
    		
    	}
    	return r + ")";
    }
}

