/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using Gtk;
using MiBib;
using MiBibGtk;
using System;
using System.Collections;
using System.Diagnostics;
using System.IO;

class InfoWindow : Fenster
{
	internal static string title = "Info";
	
	internal static void Start()
	{
		Application.Init();
    	new InfoWindow();
    	Application.Run();
	}
	
	VBox cnt = new VBox();
	
	InfoWindow() : base(title, Var.icon)
	{
		Init();
		this.SetDefaultSize(600, 240);
		this.ShowAll();
	}
	
	void Button_Clicked(object obj, EventArgs args)
	{
		Button button = (Button)obj;		
		if (button.Name == q01)
		{
			Process.Start(q01); 
		}
		if (button.Name == q02)
		{
			Process.Start(q02); 
		}
		if (button.Name == q03)
		{
			Process.Start("mailto:" + Var.contactEmail + "?subject=" + Var.programNameShort);
		}
	}
	
	string q01 = Var.httpGnuLicenses;
	string q02 = Var.strWWW;
	string q03 = Var.contactEmail;
	
	void Init()
	{
		Button button;
		
		this.Add(cnt);
		
		VBox bx = new VBox();
		cnt.Add(bx);
		
		Label label = new Label("\n" + Var.programNameBoth + "\n\nVersion: " + Mvar.Version + "\n\n" + Var.programAboutSimple + "\n");
		bx.Add(label);
		
		button = new Button(q01);
		button.Clicked += new EventHandler(Button_Clicked);
		button.Name = q01;
		bx.Add(button);
		
		button = new Button(q02);
		button.Clicked += new EventHandler(Button_Clicked);
		button.Name = q02;
		bx.Add(button);
				
		button = new Button(q03);
		button.Clicked += new EventHandler(Button_Clicked);
		button.Name = q03;
		bx.Add(button);
		
		/*
		Entry entry;
		entry = new Entry();
		entry.Text = Var.contactEmail;
		bx.Add(entry);
		*/
		
	}
	
}


