/* Copyright (C) 2002-NOW Mischa Lrken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using Gdk;
using MiBib;
using System;
using System.IO;

class Thumbs
{
	//static string folder = Ini.GetString("ThumbsFolder");
	
	/* create thumbs from all albums in the different 10 sizes 
	internal static void Create(bool all)
	{
		string title = "\nThumbs.Create ";
		Console.WriteLine(title + "Start");
		Benchmark b = new Benchmark();
		
		// Auslagerungsdatei berschreitet 1024 MB
		// auch schon bei all=false
		// auch schon bei etwa 680 Covern
		// auch bei 4094 MB Auslagerungsdatei wird's sptestens
		// // bei etwa 1200 Covern unendlich langsam oder fertig?
		// Pixbuf p; // alleine hilft leider nicht, muss in Img liegen
		
		// 1024 MB -> ab 200 bis 300 langsam, 
		// 695 Cover werden gespeichert, aber es zhlt weiter
		
		uint start = 1;
		uint end = 10;
		if (!all) start = end = 3;
		MySql3 m = new MySql3(Mvar.db, Mvar.pw, Mvar.server, Mvar.user,
		                    "SELECT path from album");
		int count = 0;
		while (m.r.Read())
		{
			Console.Write(" " + count++);//".");
			for (uint u = start; u <= end; u++)
			{
				Get(true, (string)m.r["path"], Max(u));
			}
		}
		m.Close();
		Console.WriteLine(title + "Stop");
		b.Stop();
	}
	*/
	/*
	static string FileName2ThumbName(string file, int max)
	{
		// !!! file = file.Substring(SysInfo.Win ? 3 : 7); !!! // vergleiche im Linux
		
		file = file.Replace(":", "!+c+!");
		file = file.Replace("/", "!+s+!");
		string path = folder + "/" + max + "/" + file;
		return path;
	}
	*/
	/* spter ...
	internal static string ThumbName2FileName(string file, int max)
	{
		file = Path.GetFileNameWithoutExtension(file);
		file = file.Replace("!+c+!", ":");
		file = file.Replace("!+s+!", "/");
		return file;
	}
	*/
	internal static Pixbuf Get(bool cover, string path, int max)
	{
		//string folder_jpg = cover ? Img.Cover(path) : path;
		string file = cover ? Img.Cover(path) : path;
		//string thumb = FileName2ThumbName(path + ".jpg", max);
		try
		{
			//if (File.Exists(thumb)) return new Pixbuf(thumb);
			Pixbuf p = Img.FitIn(file, max, max);
			//if (Ini.GetBool("SaveThumbs"))
			//{
				//if (!Save(p, thumb, max)) Save(p, thumb, max);
			//}
			return p;
		}
		catch (Exception e)
		{
			Console.WriteLine("Thumb.Get: " + e.Message);
			return null;
		}
	}
	
	internal static Pixbuf Get(bool cover, int xmax, int ymax, Pixbuf p)
	{
		//string folder_jpg = cover ? Img.Cover(path) : path;
		//string file = cover ? Img.Cover(path) : path;
		//string thumb = FileName2ThumbName(path + ".jpg", max);
		try
		{
			//if (File.Exists(thumb)) return new Pixbuf(thumb);
			p = Img.FitIn(p, xmax, ymax);
			//if (Ini.GetBool("SaveThumbs"))
			//{
				//if (!Save(p, thumb, max)) Save(p, thumb, max);
			//}
			return p;
		}
		catch (Exception e)
		{
			Console.WriteLine("Thumb.Get: " + e.Message);
			return null;
		}
	}
	/*
	internal static int Max(uint cols)
	{
		int max = View.total - 25;
    	max = (int)((float)max / (float)cols);
    	return max;
	}
	*/
	/*
	static bool Save(Pixbuf p, string thumb, int max)
	{
		try { p.Save(thumb, "jpeg"); }
		catch (Exception) // (GLib.GException) // Directory does not exist
		{
			try 
			{
				Directory.CreateDirectory(folder + "/" + max); 
				return false;
			}
			catch (Exception e) 
			{
				Console.WriteLine("Thumb.Save: " + e.Message);
			}
		}
		return true;
	}
	*/
}

