/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;

namespace MiBib
{
	public class Kalender
	{
		public static string DateTime2MySqlDate(DateTime dt)
		{
			return dt.Year + "-" + dt.Month + "-" + dt.Day;
		}
				
		public static string DateTime2MySqlDateTime(DateTime dt)
		{
			return DateTime2MySqlDate(dt) + " " + dt.Hour + ":" + dt.Minute + ":" + dt.Second;
		}
		
		public static string DateTimeToFileStamp(DateTime dt)
		{
			return String.Format("{0}-{1:D2}-{2:D2}_{3:D2};{4:D2};{5:D2}_{6:D3}", dt.Year, dt.Month, dt.Day, dt.Hour, dt.Minute, dt.Second, dt.Millisecond);
		}
	}
}

