/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using MiBib;
using System;

class Mvar
{
	internal static string Version = "2009-03-17";
	
	internal static uint padding = 4;
	
	
	// Logs
	internal static string logDevelop = Var.strPathDat + "/develop.txt";
	internal static string logError = Var.strPathDat + "/error.txt";
	
	// MySQL
	internal static string db = Ini.GetString("MySQL-Database");
	internal static string pw = Ini.GetString("MySQL");
	internal static string server = Ini.GetString("MySQL-Server");
	internal static string user = Ini.GetString("MySQL-User");
	
	internal static MySqlOc moc = new MySqlOc(db, pw, server, user);
	
}
