/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections;

class Limit
{
	internal string cmd;
	
	internal Limit(string cmd)
	{
		this.cmd = cmd;
	}
	
	internal bool Last()
	{
		int[] ai = Range(cmd);
		if (ai[1] == 0) return false;
		int start = ai[0] - ai[1];
		if (start < 0) return false;
		cmd = Remove(cmd) + "LIMIT " + start + "," + ai[1];
		return true;
	}
	
	internal bool Next()
	{
		return false;
	}
	
	internal static int[] Range(string cmd)
	{
		int[] ai = new int[]{0, 0};
		try
		{
			string[] astr = cmd.Split(' ');
			astr = astr[astr.Length - 1].Split(',');
			ai[0] = Int32.Parse(astr[0]);
			ai[1] = Int32.Parse(astr[1]);
		} catch {  }
		return ai;
	}
	
	internal static string Remove(string cmd)
	{
		try { return cmd.Substring(0, cmd.LastIndexOf("LIMIT")); }
		catch { return cmd; }
	}
	
}
