/* Copyright (C) 2002-NOW Mischa Lörken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using Gtk;
using System;

class NumberControl : VBox
{
	internal static uint Results2NumberRows(int results)
	{
		int i = 1;
		while (results > i*i && i < 10)
		{
			i++;
		}
		return (uint)i;
	}
	
	internal static void Limit2PartScreen(ref int limit, ref uint rows, ref uint cols)
	{
		if (limit < 1 || limit > 80) { limit = 90; rows=9; cols=10; }
		else
		{
			rows = limit2RowsCols[limit][0];
			cols = limit2RowsCols[limit][1];
			limit = (int)cols * (int)rows;
		}
	}
	
	static uint[][] limit2RowsCols = new uint[][]
	{
		new uint[] { 1, 2}, // 0
		new uint[] { 1, 2}, // 1
		new uint[] { 1, 2}, // 2
		new uint[] { 1, 3}, // 3
		new uint[] { 2, 3}, // 4
		new uint[] { 2, 3}, // 5
		new uint[] { 2, 3}, // 6
		new uint[] { 2, 4}, // 7
		new uint[] { 2, 4}, // 8
		new uint[] { 3, 4}, // 9
		new uint[] { 3, 4 }, // 10
		new uint[] { 3, 4 }, // 11
		new uint[] { 3, 4 }, // 12
		new uint[] { 3, 5 }, // 13
		new uint[] { 3, 5 }, // 14
		new uint[] { 3, 5 }, // 15
		new uint[] { 4, 5 }, // 16
		new uint[] { 4, 5 }, // 17
		new uint[] { 4, 5 }, // 18
		new uint[] { 4, 5 }, // 19
		new uint[] { 4, 5 }, // 20
		new uint[] { 4, 6 }, // 21
		new uint[] { 4, 6 }, // 22
		new uint[] { 4, 6 }, // 23
		new uint[] { 4, 6 }, // 24
		new uint[] { 5, 6 }, // 25
		new uint[] { 5, 6 }, // 26
		new uint[] { 5, 6 }, // 27
		new uint[] { 5, 6 }, // 28
		new uint[] { 5, 6 }, // 29
		new uint[] { 5, 6 }, // 30
		new uint[] { 5, 7 }, // 31
		new uint[] { 5, 7 }, // 32
		new uint[] { 5, 7 }, // 33
		new uint[] { 5, 7 }, // 34
		new uint[] { 5, 7 }, // 35
		new uint[] { 6, 7 }, // 36
		new uint[] { 6, 8 }, // 37
		new uint[] { 6, 8 }, // 38
		new uint[] { 6, 8 }, // 39
		new uint[] { 6, 8 }, // 40
		new uint[] { 6, 8 }, // 41
		new uint[] { 6, 8 }, // 42
		new uint[] { 6, 8 }, // 43
		new uint[] { 6, 8 }, // 44
		new uint[] { 6, 8 }, // 45
		new uint[] { 6, 8 }, // 46
		new uint[] { 6, 8 }, // 47
		new uint[] { 6, 8 }, // 48
		new uint[] { 7, 8 }, // 49
		new uint[] { 7, 8 }, // 50
		new uint[] { 7, 8 }, // 51
		new uint[] { 7, 8 }, // 52
		new uint[] { 7, 8 }, // 53
		new uint[] { 7, 8 }, // 54
		new uint[] { 7, 8 }, // 55
		new uint[] { 7, 8 }, // 56
		new uint[] { 7, 9 }, // 57
		new uint[] { 7, 9 }, // 58
		new uint[] { 7, 9 }, // 59
		new uint[] { 7, 9 }, // 60
		new uint[] { 7, 9 }, // 61 
		new uint[] { 7, 9 }, // 62
		new uint[] { 7, 9 }, // 63 
		new uint[] { 8, 9 }, // 64 
		new uint[] { 8, 9 }, // 65 
		new uint[] { 8, 9 }, // 66 
		new uint[] { 8, 9 }, // 67 
		new uint[] { 8, 9 }, // 68 
		new uint[] { 8, 9 }, // 69 
		new uint[] { 8, 9 }, // 70
		new uint[] { 8, 9 }, // 71
		new uint[] { 8, 9 }, // 72
		new uint[] { 8, 10 }, // 73
		new uint[] { 8, 10 }, // 74
		new uint[] { 8, 10 }, // 75
		new uint[] { 8, 10 }, // 76
		new uint[] { 8, 10 }, // 77
		new uint[] { 8, 10 }, // 78
		new uint[] { 8, 10 }, // 79
		new uint[] { 8, 10 }, // 80
		
	};
}

