/* Copyright (C) 2002-NOW Mischa Lrken

This file is part of FindYourMedia (FYM), more info under <http://www.FindYourMedia.org>.

FYM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FYM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FYM. If not, see <http://www.gnu.org/licenses/>.
*/

using Gtk;
using MiBibGtk;
using System;
using System.Diagnostics;

class ListsForm : Fenster
{
	internal static void Start()
	{
		Application.Init();
    	new ListsForm();
    	Application.Run();
	}
	
	internal static string title = "Lists";
	
	ListsForm() : base(title, Var.icon)
	{
		this.SetDefaultSize(600, 480);
		Init();
		this.ShowAll();
	}
	
	VBox cnt = new VBox();
		
	void AddButton(string name)
	{
		Button button = new Button(name);
		button.Clicked += new EventHandler(Button_Clicked);
		button.Name = name;
		cnt.Add(button);
	}
	
	void Button_Clicked(object obj, EventArgs args)
	{
		Button o = (Button)obj;
		if (o.Name == albums) Lists.Albums(false);
		else if (o.Name == DatabaseForm.title) DatabaseForm.Start();
		//else if (o.Name == ini) 
		//{
		//	ProcessStart.ExecuteFile(SysInfo.IniFile("ini"));
		//}
		else if (o.Name == cover1) Lists.CoversMissingShow("relevant");
		else if (o.Name == cover2) Lists.CoversMissingShow("all");
		else if (o.Name == cover3) Lists.CoversMissingShow("random");
		else if (o.Name == SameSize) Lists.SameSize();
		//else if (o.Name == ListsForm.title) ListsForm.Start();
		else if (o.Name == sings) Lists.Albums(true);
		// else if (o.Name == thumbs) { Thumbs.Create(true); }
		// else if (o.Name == thumbs2) { Thumbs.Create(false); }
		// else if (o.Name == thumbs || o.Name == thumbs2)
		// {
		// 	Console.WriteLine(o.Name + " is deactivated for Pixbuf->Overflow-Error");
		// }
	}
	
	string albums = "Liste aller Alben";
	string cover1 = "fehlende Cover (relevante)";
	string cover2 = "fehlende Cover (alle)";
	string cover3 = "fehlende Cover (zufalls-relevante)";
	//string ini = "edit ini";
	string SameSize = "gleiche Gre";
	string sings = "Liste aller Titel";
	// string thumbs = "Thumbs fr Cover kreieren";
	// string thumbs2 = "Thumbs fr Zufalls-Cover kreieren";
	
	void Init()
	{
		this.Add(cnt);
		// AddButton(DatabaseForm.title);
		// AddButton(ListsForm.title);
		//AddButton(ini);
		AddButton(albums);
		AddButton(sings);
		AddButton(cover1);
		AddButton(cover2);
		AddButton(cover3);
		AddButton(SameSize);
		// AddButton(thumbs);
		// AddButton(thumbs2);
	}
	
}




